<template>
  <div>
    <h1 class="mb-3">Have you ever consulted with any of the following for your ED?</h1>
    <p class="mb-6 text-base">Select all that apply.</p>
    <div class="space-y-3 mb-8">
      <checkbox-input
        v-for="choice in choices"
        :key="choice"
        :input-value="choice"
        :value="checkboxSelected"
        @input="handleCheckboxInput"
      >
        {{ choice }}
      </checkbox-input>
    </div>
    <CommonBtn
      :disabled="!checkboxSelected.length"
      text="Next"
      @click="$emit('nextStage')"
    />
  </div>
</template>

<script>
import {answersMixin, checkboxMixin} from "@/utils/mixins";
import CheckboxInput from "@/components/inputs/CheckboxInput";
import CommonBtn from "@/components/common/CommonBtn";
import {constants} from "@/constants";

export default {
  components: {CommonBtn, CheckboxInput},
  mixins: [checkboxMixin, answersMixin],
  name: "YourHealth7",
  data() {
    return {
      choices: [
        'Primary Care Doctor',
        'Urologist',
        'Counselor or Psychologist',
        'Other Specialist',
        constants.NONE_CHOICE,
      ],
      checkHandler: newVal => this.setAnswer(this.answersKeys.YOUR_HEALTH, newVal, 'stage_7')
    }
  }
}
</script>

<style scoped>

</style>
